ObjectData = 
{
	MotionModel = 
	{
		DefaultAnimation = [[normal]],
		Motions = 
		{
			motion1 = 
			{
				Animations = 
				{
					anim1 = 
					{
						Path = [[DATA:Animations\Reflector\reflector_normal.anim]],
						Name = [[normal]],
						MinFreq = 1.000000,
						MaxFreq = 1.000000,
					},
				},
				Name = [[normal]],
			},
		},
	},
	Extensions = 
	{
	},
}

facings =
{
	Vector2( 1, 0 ),
	Vector2( 0, 1 ),
	Vector2( -1, 0 ),
	Vector2( 0, -1 ),
}

facing = 1

timer = 0
COUNT = 24

-- Begin Scripting --
function OnInit()
	this:EnablePhysics( false )
end

function Update()

	timer = timer + 1
	if timer >= COUNT then
		facing = facing + 1 
		if facing > 4 then facing = 1 end
	
		this:SetFacing( facings[ facing ] )
		
		timer = 0
	end
	
end
